vamchale/polyglot

readme

By Vanessa McHale <vanessa.mchale@reconfigure.io> on December 2, 2017
This patch is not signed. Learn here why and how to sign your patches.
7eQgzpd6omx66rYHiqouuTs122DrvsHTGQTFAvQkkAkRs5MzBtZuK1pARprDCsEc4Ahdh8jcancMc2t5EVDrcJ1M

This patch is in the following branches:

master
In file .travis.yml
16

17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
    - /usr/local/bin
    - ATS2-Postiats-0.3.8

install:
  - wget http://ats-lang.sourceforge.net/IMPLEMENT/Postiats/ATS2-Postiats-0.3.8.tgz
  - tar xvf ATS2-Postiats-0.3.8.tgz
  - cd ATS2-Postiats-0.3.8 && ./configure && make && sudo make install
  - cd ../
  - rm -rf ATS2-Postiats-0.3.8

script:
  - |
    if [ $TARGET = "x86_64-unknown-linux" ]
    then
      pip install yamllint
      yamllint .travis.yml
      curl -sL https://raw.github.com/ndmitchell/hlint/master/misc/travis.sh | sh -s shake.hs
    else
      echo "skipping..."
    fi
  - patscc "$COMMAND" src/polyglot.dats -DATS_MEMALLOC_LIBC -o poly-$TARGET -cleanaft -O2 -flto

deploy:
  api_key:
    secure: "A7A2h7iYFO8z+wK3He9W2Y18G5leAlPhAtL2/HtJsAL/rIog+K5MB1rn7lcSWFgXMimMA+aWmr5PQHPLstVqt6IZNv3O/LV4We95Yr5HhHH+QP76zDChzRTM++9eRX/AIAJB4mZgyguZXXYdco6m/4Wj5DO/I2gyniP3sajqOsEhCnASskhcCoQhp9XGWSiRgowWxiKvjfLDAR6Bt/B9lLfg+gTR9VTQGrbAbSzwEWb7qlRp9P5WHNzWaof7C+6NM7XP+OMwENEJ/5KKNXiHEbht0GpU6Mmga7PpB8W2NzsKoFaG2nOmp+iyzp9sl+oC0pBycxX7n2+unDoW04kJPTLYNBW+xN/yj7c0Ioujnq4XXJWCckpwg4pK7/zj6FeQJULAHplCEZf5HxCBPZ1TnvsfpdqeYD1Vjf/B0DzVnvhrPDasG0Et1iFedBvc9YL7fkyypc45ySXbnRlupr5KknMGqIUrC0QiY0jP9+LGTfWu4IoN3ArUItcfs/D99w6PH82FU9Z+AkDEWHaVtPwXN9y43Pt1p7vuIszCYY3/So1TrFtmPwsYnjVIiKrhQIzx2N5tN9pyZiiQBY1QU5/k6kEXIdXXScGIJbT1qqcTqMduguguS6NDygiJ9nomFnUS0wPMpLKP5T31aAble6rWuHTlM0tyZ4l3qJbNSWPDUPw="
  file: poly-$TARGET
  on:
    tags: true
  provider: releases
  skip_cleanup: true
New file .yamllint
In file README.md
68

```bash
curl -sSl https://raw.githubusercontent.com/vmchale/polyglot/master/bash/install.sh | sh -s
1023


1024
1025
fun version(): void =
  println!("polygot version 0.3.5\nCopyright (c) 2017 Vanessa McHale")
  println!("polygot version 0.3.6\nCopyright (c) 2017 Vanessa McHale")
  println!("polygot version 0.3.7\nCopyright (c) 2017 Vanessa McHale")